> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uplift.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Results

> Retrieves the results of a completed job using the job ID.



## OpenAPI

````yaml GET /data/export/job/{jobId}/results
openapi: 3.0.0
info:
  title: Uplift SQL API
  version: v1
  description: >-
    API for submitting SQL queries and retrieving job IDs for the Uplift
    platform.
servers:
  - url: https://api.uplift.ai/v1
security: []
paths:
  /data/export/job/{jobId}/results:
    get:
      tags:
        - Job Management
      summary: Retrieve Job Results
      description: Retrieves the results of a completed job using the job ID.
      parameters:
        - name: jobId
          in: path
          required: true
          description: >-
            The unique identifier for the job whose results need to be
            retrieved.
          schema:
            type: string
        - name: offset
          in: query
          required: false
          description: >-
            Number of rows to skip for pagination. Default is 0. 


            Read more about [Retrieving Data in
            Batches](../../../../retrieving-data-batches) for usage examples.
          schema:
            type: integer
            default: 0
        - name: limit
          in: query
          required: false
          description: >-
            Number of rows to retrieve. Maximum valid value is 500. Default is
            100. Use with the offset query parameter to paginate and retrieve
            more than the first 500 results. 


            Read more about [Retrieving Data in
            Batches](../../../../retrieving-data-batches) for usage examples.
          schema:
            type: integer
            default: 100
      responses:
        '200':
          description: Successful retrieval of job results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jobId:
                    type: string
                    description: The unique identifier for the job.
                  rowCount:
                    type: integer
                    description: The number of rows the job returned.
                  schema:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: The name of the column.
                        type:
                          type: object
                          properties:
                            name:
                              type: string
                              description: >-
                                The data type of the column (e.g., TIMESTAMP,
                                BIGINT, DOUBLE).
                    description: The schema definitions for the data the job returned.
                  rows:
                    type: array
                    items:
                      type: object
                      description: The individual result records of the job.
                    description: The data retrieved as a result of the completed job.
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          description: Job not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: NotFound
                message: The specified job ID was not found.
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  responses:
    BadRequest:
      description: Invalid request parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: BadRequest
            message: >-
              The request parameters are invalid. Please review the request and
              try again.
    Unauthorized:
      description: Unauthorized. Bearer token is missing or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Unauthorized
            message: Bearer token is missing or invalid.
    Forbidden:
      description: Forbidden. You do not have permission to access this resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Forbidden
            message: You do not have permission to access this resource.
    TooManyRequests:
      description: Too Many Requests. The rate limit has been exceeded.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: TooManyRequests
            message: The rate limit has been exceeded. Please wait and try again later.
    InternalServerError:
      description: Internal Server Error. Something went wrong on the server.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: InternalServerError
            message: >-
              An unexpected error occurred on the server. Please try again
              later.
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: A short error code representing the type of error.
        message:
          type: string
          description: A detailed message explaining the error.
        messages:
          type: string
          description: >-
            Create Capture only: validation detail. Multiple issues are joined
            with `; `.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````